## gate.creole.annotdelete
Class AnnotationDeletePR

    java.lang.Object
      |
      +--gate.util.AbstractFeatureBearer
            |
            +--gate.creole.AbstractResource
                  |
                  +--gate.creole.AbstractProcessingResource
                        |
                        +--gate.creole.AbstractLanguageAnalyser
                              |
                              +--gate.creole.annotdelete.AnnotationDeletePR

All Implemented Interfaces:
  Executable, FeatureBearer, LanguageAnalyser, NameBearer, ProcessingResource, Resource, Serializable

public class AnnotationDeletePR
extends AbstractLanguageAnalyser
implements ProcessingResource

This class is the implementation of a processing resource which deletes all annotations and sets other than 'original markups'. If put at the start of an application, it'll ensure that the document is restored to its clean state before being processed.

See Also:
  Serialized Form

Inner classes inherited from class gate.creole.AbstractProcessingResource
`AbstractProcessingResource.InternalStatusListener, AbstractProcessingResource.IntervalProgressListener`

Field Summary
`protected List` `annotationTypes`
`protected String` `markupSetName`

Fields inherited from class gate.creole.AbstractLanguageAnalyser
`corpus, document`

Fields inherited from class gate.creole.AbstractProcessingResource
`interrupted, progressListeners, statusListeners`

Fields inherited from class gate.creole.AbstractResource
`name, serialVersionUID`

Fields inherited from class gate.util.AbstractFeatureBearer
`features`

Constructor Summary
`AnnotationDeletePR()`

Method Summary
`void` `execute()` Run the resource.
`List` `getAnnotationTypes()`
`String` `getMarkupASName()`
`Resource` `init()` Initialise this resource, and return it.
`void` `reInit()` Reinitialises the processing resource.
`private void` `removeSubSet(AnnotationSet theSet)`
`void` `setAnnotationTypes(List newTypes)`
`void` `setMarkupASName(String newMarkupASName)`

Methods inherited from class gate.creole.AbstractLanguageAnalyser
`getCorpus, getDocument, setCorpus, setDocument`

Methods inherited from class gate.creole.AbstractProcessingResource
`addProgressListener, addStatusListener, cleanup, fireProcessFinished, fireProgressChanged, fireStatusChanged, interrupt, isInterrupted, removeProgressListener, removeStatusListener`

Methods inherited from class gate.creole.AbstractResource
`checkParameterValues, getName, getParameterValue, getParameterValue, removeResourceListeners, setName, setParameterValue, setParameterValue, setParameterValues, setParameterValues, setResourceListeners`

Methods inherited from class gate.util.AbstractFeatureBearer
`getFeatures, setFeatures`

Methods inherited from class java.lang.Object
`<clinit>, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Methods inherited from interface gate.ProcessingResource
`interrupt, isInterrupted`

Methods inherited from interface gate.Resource
`cleanup, getParameterValue, setParameterValue, setParameterValues`

Methods inherited from interface gate.util.FeatureBearer
`getFeatures, setFeatures`

Methods inherited from interface gate.util.NameBearer
`getName, setName`

Field Detail

### markupSetName

    protected String markupSetName

### annotationTypes

    protected List annotationTypes

Constructor Detail

### AnnotationDeletePR

    public AnnotationDeletePR()

Method Detail

### init

    public Resource init()
                  throws ResourceInstantiationException

  Initialise this resource, and return it.
  Specified by:
    `init` in interface `Resource`
  Overrides:
    `init` in class `AbstractProcessingResource`

### reInit

    public void reInit()
                throws ResourceInstantiationException

  Reinitialises the processing resource. After calling this method the resource should be in the state it is after calling init. If the resource depends on external resources (such as rules files) then the resource will re-read those resources. If the data used to create the resource has changed since the resource has been created then the resource will change too after calling reInit().
  Specified by:
    `reInit` in interface `ProcessingResource`
  Overrides:
    `reInit` in class `AbstractProcessingResource`

### execute

    public void execute()
                 throws ExecutionException

  Run the resource.
  Specified by:
    `execute` in interface `Executable`
  Overrides:
    `execute` in class `AbstractProcessingResource`

### removeSubSet

    private void removeSubSet(AnnotationSet theSet)

### setMarkupASName

    public void setMarkupASName(String newMarkupASName)

### getMarkupASName

    public String getMarkupASName()

### getAnnotationTypes

    public List getAnnotationTypes()

### setAnnotationTypes

    public void setAnnotationTypes(List newTypes)